package de.ivu.elect.business.wahlvorschlag.entity;

public enum NlListeStatus {

  ZUGELASSEN {
    @Override
    public String getIconMsgKey() {
      return "nl.liste.pruefen.icon.check";
    }
  },
  ABLEHNUNGGRUENDE_VORHANDEN {
    @Override
    public String getIconMsgKey() {
      return "nl.liste.pruefen.icon.warning";
    }
  },
  ABGELEHNT {
    @Override
    public String getIconMsgKey() {
      return "nl.liste.pruefen.icon.error";
    }
  },
  OFFEN {
    @Override
    public String getIconMsgKey() {
      return "nl.liste.pruefen.icon.open";
    }
  };

  public abstract String getIconMsgKey();

}
